1

I'm trying to install this library for Ruby so I can work with FITS files, but during brew install sfitsio I encounter this error:

Last 15 lines from /home/dachsroot/.cache/Homebrew/Logs/sllib/02.cmake:
2017-10-21 12:36:01 -0300

cmake
.
-DCMAKE_C_FLAGS_RELEASE=-DNDEBUG
-DCMAKE_CXX_FLAGS_RELEASE=-DNDEBUG
-DCMAKE_INSTALL_PREFIX=/home/dachsroot/.linuxbrew/Cellar/sllib/1.4.2e
-DCMAKE_BUILD_TYPE=Release
-DCMAKE_FIND_FRAMEWORK=LAST
-DCMAKE_VERBOSE_MAKEFILE=ON
-Wno-dev

cmake: error while loading shared libraries: libstdc++.so.6: cannot open shared object file: No such file or directory

I've tried to find a solution, but all I find are solutions that say I have to install libstdc++6, but I already that package installed.

sudo apt-get install libstdc++6
Reading package lists... Done
Building dependency tree       
Reading state information... Done
libstdc++6 is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

The entire 02.cmake file is here.

What can I do?

  • Do you have g++ installed? – Stephen Kitt Oct 21 '17 at 17:34
  • @StephenKitt Yes, version 4.9.2 (Debian 4.9.2-10) – OiciTrap Oct 21 '17 at 17:52

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.